DCMTK - Bug #374

Mistake in DcmElement::changeValue() leads to Segmentation Fault
2009-08-31 00:00 - J6rg Riesmeier

Status: Closed Start date:

Priority: High Due date:

Assignee: Michael Onken % Done: 100%
Category: Library Estimated time: 0:00 hour

Target version:

Module: dcmdata Compiler:

Operating System:

Description

http://forum.dcmtk.org/viewtopic.php?t=2226
Obviously memcpy() writes to an invalid memory region (Pointer == NULL).

We need to decide what should be done with elements with invalid group lengths (i.e. if VR! = UL and/or VM != 1)
=== Update JR ===

Unfortunately the problem with 'changeValue()' cannot be reproduced any longer... even when 'putUint32Array()' is converted into a
'putUint32()".

=== Update JR ===
See also this post on another segfault: http:/forum.dcmtk.org/viewtopic.php?f=1&t=3515

History

#1 - 2012-08-16 09:02 - J6rg Riesmeier
- Category set to Library

Zum Thema "segfault" siehe auch dieses Forums-Posting: http://forum.dcmtk.org/viewtopic.php?f=18&t=3515

#2 - 2013-04-23 10:18 - Andrew Chiw
Mistake in DcmElement::changeValue() leads to Segmentation Fault
Description

http:/forum.dcmtk.org/viewtopic.php?t=2226
Obviously memcpy() writes to an invalid memory region (Pointer == NULL).

We need to decide what should be done with elements with invalid group lengths (i.e. if VR! = UL and/or VM != 1)
=== Update JR ===

Unfortunately the problem with 'changeValue()' cannot be reproduced any longer... even when 'putUint32Array()' is converted into a 'putUint32()".
#3 - 2013-04-28 22:50 - Andrew Chiw
- Subject changed from Fehler in DcmElement:.changeValue() fihrt zu Segmentation Fault to Mistake in DcmElement::changeValue() leads to

Segmentation Fault

#4 - 2016-11-25 08:16 - Michael Onken

- Assignee set to Michael Onken

#5 - 2017-02-10 12:12 - Michael Onken
- Status changed from New to Closed

- % Done changed from 0 to 100

Fixed in commit ae4ae81.
